Skip to main content
GET
/
buckets
/
{filesystem}
Get object storage bucket
curl --request GET \
  --url https://cloud.laravel.com/api/buckets/{filesystem} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "filesystems",
    "attributes": {
      "name": "<string>",
      "type": "cloudflare_r2",
      "status": "creating",
      "visibility": "private",
      "jurisdiction": "default",
      "endpoint": "<string>",
      "url": "<string>",
      "allowed_origins": "<string>",
      "cors_settings": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "keys": {
        "data": [
          {
            "type": "filesystemKeys",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "filesystemKeys",
      "attributes": {
        "name": "<string>",
        "permission": "read_write",
        "access_key_id": "<string>",
        "access_key_secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "filesystem": {
          "data": {
            "type": "filesystems",
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

filesystem
string
required

The filesystem identifier

Query Parameters

include
string

Available includes are keys. You can include multiple options by separating them with a comma.

Response

FilesystemResource

data
FilesystemResource · object
required
included
FilesystemKeyResource · object[]